import math
import random
import cocos
import pyglet
from pyglet.window import key, mouse
from vec2d import Vec2d
from cocos.actions.interval_actions import Delay
from cocos.actions import *

import Actor


from Context import ActorBuildData, Animation, Z

class FeatherCloud(Actor.Actor):
    
    def __init__(self, context, build_data):
        super(FeatherCloud, self).__init__(context, build_data)

        self.feathers = []
        for i in range(20):
            s = cocos.sprite.Sprite( "killfeather.png" )
            s.x = self.x + random.randint(-20, 20)
            s.y = self.y + random.randint(-20, 40)
            s.rotation = random.randint(1, 360)
            vel = Vec2d(random.random()-0.5,random.random()+2.5)
            self.feathers.append((s,vel))
            context.rootnode.add(s, z = context.getActorZ(self))

        self.t = 0.0
        
    def destroy(self, context):
        for s,v in self.feathers:
            context.rootnode.remove(s)
        
    def update(self, context):
        super(FeatherCloud,self).update(context)
        for s,vel in self.feathers:
            s.x += vel.x * context.dt * 150
            s.y += vel.y * context.dt * 100
            s.rotation += vel.x * context.dt * 500
            vel.y -=context.dt*10
            
            if self.t > 0.5:
                s.opacity -= context.dt * 500
            
        self.t += context.dt
        
        if self.t > 1.0:
            context.actors_to_remove.append(self)
            