import math
import random
import cocos
import pyglet
from pyglet.window import key, mouse
from vec2d import Vec2d
from cocos.actions.interval_actions import Delay
from cocos.actions import *

import Actor
from Bird import Bird

from Context import ActorBuildData, Animation, Z

class TutorialActor(Actor.Actor):
    
    def __init__(self, context, build_data):
        super(TutorialActor, self).__init__(context, build_data)

        y = 450
        x = 890
        c=(255,255,255,255)
        
        self.labels = []
        
        linelength = 0
        line = ""
        words = build_data.data["text"].split()
        words.append("                         " )
        words.append("    [Space to close]     " )
        for word in words:

            if len(line + word) > 30:
                y -= 20
                l = cocos.text.Label( line, color = c, position = (x,y), font_name="Arial", font_size=14)
                l.visible = False
                self.labels.append(l)
                context.rootnode.add(l, z = Z.HUD)
                line = ""
            line += word + " "
            
        y -= 20
        l = cocos.text.Label( line, color = c, position = (x,y), font_name="Arial", font_size=14)
        l.visible = False
        self.labels.append(l)
        context.rootnode.add(l, z = Z.HUD)
        line = ""
            
        self.countdownt = 10.0
        self.waitt = 0.0
        self.startt = build_data.data["time"]
        
        self.next = build_data.data["next"]
        self.state = "WaitingForTime"
        if self.startt is None:
            self.state = "WaitingForPrev"
            
        if "tutorialBG" not in context.rootnode.children_names:
            briefingbg = cocos.sprite.Sprite( "briefingBG.png" )
            briefingbg.x = 1100
            briefingbg.y = 350
            briefingbg.opacity = 220
            #briefingbg
            context.rootnode.add(briefingbg, z = Z.HUD - 0.1, name="tutorialBG")
        
    def destroy(self, context):
        for l in self.labels:
            context.rootnode.remove(l)
        
    def update(self, context):
        super(TutorialActor,self).update(context)

        if self.state == "Showing":
            if context.input.is_key_just_pressed(key.SPACE):
                context.actors_to_remove.append(self)
                if self.next is not None:
                    self.next.show()
                else:
                    context.rootnode.remove("tutorialBG")
        
            self.waitt += context.dt
            self.labels[-1].opacity = 220 + 35 * math.sin(self.waitt*5)
            
        if self.state == "WaitingForTime":
            self.waitt += context.dt
            
            if self.waitt > self.startt:     
                self.show()
        
    def show(self):
        self.state = "Showing"
        for l in self.labels:
            l.visible = True       
            
            