import cocos

from cocos.scenes.transitions import *
from cocos.actions import *

from pyglet.window import key, mouse

from InputLayer import InputLayer

from Context import *

class CreditsScene( cocos.scene.Scene ):
    def __init__( self ):
        super( CreditsScene, self ).__init__()
        

        self.input_layer = InputLayer()
        self.add( self.input_layer )
        self.do( Repeat( CallFunc( self.update ) ) )
        
        self.updateContext = Context(0.01, self.input_layer)
        
        # Background
        self.bglayer = cocos.layer.Layer()
        sprite = cocos.sprite.Sprite( "farm01.png" )
        sprite.position = 1200/2, 720/2
        self.bglayer.add( sprite )
        self.add( self.bglayer, z = Z.BG )
        
        self.logo = cocos.text.Label("The selfish bird breeder!", font_size=42, x=200, y=400, color=(255,255,255,255) )

        self.add( self.logo, z = Z.HUD )
        
        texts = []
        
        texts.append( 'Congratulations!' )
        texts.append( 'You have completed the game!' )
        texts.append( '' )
        texts.append( '' )
        texts.append( 'Credits:' )
        texts.append( 'Victor "vb" Blomqvist' )
        texts.append( 'Anders "Srekel" Elfgren' )
        texts.append( 'Shams "DrDunkel" Jorjani' )
        texts.append( '' )
        texts.append( '' )
        texts.append( '' )
        texts.append( '' )
        texts.append( 'Press space to to quit' )
        
        self.labels = []
        ypos = 330
        for t in texts:
            label = cocos.text.Label( t, font_size=18, x=350, y=ypos, color=(255,255,255,255) )
            self.labels.append( label )
            ypos -= 20
            self.add( label, z = 1.0 )
        
        
    def update( self ):
        
        if self.input_layer.is_key_down( key.SPACE ):
            import sys
            sys.exit(0)

        self.input_layer.update()
        
        
        
        