import cocos

from cocos.scenes.transitions import *
from cocos.actions import *

from pyglet.window import key, mouse

import Context
from OutdoorsScene import OutdoorsScene
from MenuLayer import MenuLayer
from InputLayer import InputLayer
from Levels import Level01
from cocos.scene import Scene

class IntroScene( cocos.scene.Scene ):
    def __init__( self ):
        super( IntroScene, self ).__init__()
        
        self.t = False
        
        self.input_layer = InputLayer()
        self.add( self.input_layer )
        self.do( Repeat( CallFunc( self.update ) ) )
        
        self.updateContext = Context.Context(0.01, self.input_layer)
        
        # Background
        self.bglayer = cocos.layer.Layer()
        sprite = cocos.sprite.Sprite( "intro_bg.png" )
        sprite.position = 800/2,600/2
        self.bglayer.add( sprite )
        self.add( self.bglayer, z = 0.0 )
        
        self.logo = cocos.text.Label("Feather!", font_size=42, x=150, y=500, color=(50,150,220,255) )

        self.add( self.logo, z = 1.0 )
        
        texts = []
        
        texts.append( 'Made for PyWeek 9, september 2009' )
        texts.append( '' )
        texts.append( 'Made by:' )
        texts.append( 'Anders "Srekel" Elfgren' )
        texts.append( 'Victor "viblo" Blomqvist' )
        texts.append( 'Shams "DrDunkel" Jorjani' )
        texts.append( '' )
        texts.append( 'Email comments or whatever to:' )
        texts.append( 'srekel@gmail.com or vb@viblo.se or shams@lols.ru' )
        
        self.labels = []
        ypos = 430
        for t in texts:
            label = cocos.text.Label( t, font_size=14, x=150, y=ypos, color=(50,150,220,255) )
            self.labels.append( label )
            ypos -= 20
            self.add( label, z = 1.0 )
        
        
    def update( self ):
        
        
        if self.t  or self.input_layer.is_key_down( key.SPACE ):
            
            level = Level01.Level01
            #go_scene = OutdoorsScene( level )
            
            
            logo = cocos.text.Label("The selfish bird breeder!", font_size=72, color=(255,255,255,255))
            #logo.y = 100
            
            
            go_scene = Scene(MenuLayer(), logo)
            tr = ZoomTransition(go_scene, duration=0.01)
            self.stop()
            cocos.director.director.replace( tr )
             
        self.t = True
        self.input_layer.update()
        