import math
import random

import cocos
from vec2d import Vec2d

from Context import ActorBuildData, Animation, Z
from Actors.Actor import Actor
from Actors.Bird import Bird
from Actors.Wolf import Wolf
from Actors.Egg import Egg

import Level

class Level02(Level.Level):
    def __init__(self, context):
        super(Level02, self).__init__()
        
        self.startTexts = []
        self.startTexts.append( "Good work!" )
        self.startTexts.append( "It gets a bit harder now! The wolfs" )
        self.startTexts.append( "are on their way. Best make sure to" )
        self.startTexts.append( "make sure your birds get some genes" )
        self.startTexts.append( "for spending time up in the air!" )
        self.startTexts.append( "But remember that to stay profitable" )
        self.startTexts.append( "you will need to make them tasty as well!" )

        self.initLabels(context)
        
        
        self.money = 300
        
        
        
        build_data = ActorBuildData()
        
        build_data.image = "farm01.png"
        build_data.pos = Vec2d(1200/2,720/2)
        build_data.z = Z.BG
        
        actor = Actor( context, build_data )
        self.add(actor)
        self.actors.append(actor)
        
        for x in range(3):
            build_data.pos = Vec2d(50+random.randint(0,600), 100 + random.randint(0,200))
            build_data.image = None
            self.createActor(Bird, context, build_data)
        
        self.t = -10000.0
        self.nextt = 1.0
        self.wcount = 0
        
    def start(self,context):
        super(Level02, self).start(context)
        
        self.t = 0.0

    def update(self, context):
        super(Level02, self).update(context)
        
        self.t += context.dt
        
        if self.t > self.nextt:
            self.t = 0
            self.nextt = random.random() * 50
            self.wcount += 1
            
            build_data = ActorBuildData()
            
            build_data.pos = Vec2d(-500, 150 + random.randint(0,200))
            self.createActor(Wolf, context, build_data)
        
        

    
    def isWon(self, context):
        return self.money > 600
            
    def isLost(self, context):
        return self.money < 0
    
    
    