import os
import sys

currpath = os.getcwd()
sys.path.insert(0, os.path.join( currpath, "pyglet-1.1-maintenance-r2524" ) )
sys.path.insert(0, os.path.join( currpath, "cocos2d-r875" ) )

import cocos
import pyglet

from IntroScene import IntroScene
import MenuLayer
from Levels import Level01
from Levels import Level02
from Levels import Level03
import OutdoorsScene

pyglet.resource.path = [os.path.join("../data/")]
pyglet.resource.reindex()
pyglet.options['debug_gl'] = False

       
def run():
    cocos.director.director.init( width=1200, height=720, caption="The selfish bird breeder" )

    try:
        player = pyglet.media.Player()
        music = pyglet.media.load("../data/sounds/bgmusic.ogg", None, streaming=True)
        player.eos_action = player.EOS_LOOP
        music.play()
        player.eos_action = player.EOS_LOOP
    except:
        print "No music"

    debug = 0
    if debug == 1:
        level = Level03.Level03
        go_scene = OutdoorsScene.OutdoorsScene( level )
        cocos.director.director.run( go_scene)
    else:

        bg = cocos.sprite.Sprite("frontendsplash01.png")
        bg.x, bg.y = 1200/2, 720/2 
        logo = cocos.sprite.Sprite("logo.png")
        logo.x, logo.y = 1200/2, 600 
        #logo = cocos.text.Label("The selfish bird breeder!", font_size=72, position=(100,600), color=(255,255,255,255))
        go_scene = cocos.scene.Scene(bg, MenuLayer.MenuLayer(), logo )
    
        cocos.director.director.run( go_scene )


if __name__ == "__main__":
    do_profile = 0
    if do_profile == 1:
        import profile
        import cProfile, pstats
        cProfile.run("run()", "main")
        stats = pstats.Stats( "main" )
        stats.strip_dirs()
        stats.sort_stats('time', 'calls')
        stats.print_stats(30)
    if do_profile == 2:
        import profile
        profile.run("run()")
    if do_profile == 3:
        import hotshot, hotshot.stats
        prof = hotshot.Profile("run.prof")
        prof.runcall(run)
        prof.close()
        stats = hotshot.stats.load("run.prof")
        stats.strip_dirs()
        stats.sort_stats('time', 'calls')
        stats.print_stats(20)

    else:
        run()
        