import cocos

from cocos.scenes.transitions import *
from cocos.actions import *

from pyglet.window import key, mouse

import Context
from OutdoorsScene import OutdoorsScene
from InputLayer import InputLayer
from Levels import Level01, Level02, Level03
from cocos.menu import *
from cocos.director import director

class MenuLayer (cocos.menu.Menu ):
    def __init__( self ):
        super( MenuLayer, self ).__init__()
        
        self.levels = ["1", "2", "3"]
        self.selectedLevel = 0
        l = []
        l.append( MenuItem('Start Game', self.on_new_game ) )
        l.append( MultipleMenuItem(
                'Select Mission: ',
                self.on_level,
                self.levels,
                0 ))
        l.append( MenuItem('Quit', self.on_quit ) )
        self.create_menu( l, zoom_in(), zoom_out() )
        self._select_item(1)
        self._select_item(0)
        

    def on_level(self, level):
        print "on_level", level
        self.selectedLevel = int(level)
        print self.selectedLevel
        
    def on_quit(self):
        director.pop()
    
    def start_game(self, levelid):
        ls = [Level01.Level01, Level02.Level02, Level03.Level03]
        level = ls[levelid]
    
        go_scene = OutdoorsScene( level )
        tr = ZoomTransition(go_scene, duration=1)
        cocos.director.director.replace( tr )
        
    def on_new_game(self):
        self.start_game(self.selectedLevel)
        
        